# ATLaS UI - Interactive user interface for the Automatic Tissue Labeling System (ATLaS)

__Disclaimer:__ This module is work in progress. The below documentation
tries to give an overview over the basic way the module is meant to be
used, but is explicitly not complete in any way. Please see it as an
entry point to further investigate the source code of the module.

__Author:__ Christian Schiffer (c.schiffer@fz-juelich.de),
Institute for Neuroscience and Medicine (INM-1),
Research Center Juelich

__Acknowledgement:__
This project has received funding from the European Union’s Horizon 2020 Research and Innovation Programme under Grant Agreement No. 785907 (Human Brain Project SGA2) and No.945539 (Human Brain Project SGA3), , and from the Helmholtz Association’s Initiative and Networking Fund through the Helmholtz International BigBrain Analytics and Learning Laboratory (HIBALL) under the Helmholtz International Lab grant agreement InterLabs-0015.

## Introduction

This repository contains the code of a prototype interactive user interface for ATLaS.
[ATLaS (Automatic Tissue Labeling System)](https://jugit.fz-juelich.de/c.schiffer/atlas) is a framework for training of deep neural networks for automatic cytoarchitectonic area segmentation.

## Setup

Currently, atlasui is not yet dockerized and just runs using a system wide installation of Apache.
The following services are required for the different components:

- `httpd` daemon running the webservice. The configuration for this can be found at [`config/httpd`](config/httpd). By default, this has to be stored at `/etc/httpd/conf`. The WSGI module is required to run flask services within the Apache webserver.
- `mongodb` hosting a MongoDB for `atlas_server`.
- `mariadb` (former `MySQL database`) to store data for Microdraw.

## Project structure

- `atlas_server`: Flask server accepting data and requests from Microdraw, accessing and maintaining the MongoDB and contacting `atlas_controller`.
- `atlas_controller`: Accepts requests from `atlas_server` and submits jobs to a HPC system. Runs on a HPC system and has to be contacted using an SSH tunnel.
- `microdraw`: Modified code base of microdraw, extended with functions to communicate with `atlas_server` and organize automatic mapping projects.
- `scripts`: Some helper scripts.
- `config`: Configuration files, for example for the webserver.
- `notebooks`: Notebooks to quickly try out project related things.
