#!/bin/bash -ex

# Load modules
echo Loading modules...
# Note: Purge important, surrounding atlas_controller might have a different environment. 
module purge
source ${HOME}/galaxy/init.sh
export ATLAS_MODULE=atlas
module load ${ATLAS_MODULE}
echo Modules loaded
# Use the dev packages
eval $(atlas_bind_dev)

export CUDA_VISIBLE_DEVICES=0,1,2,3

# Environment variables
export BRAIN="__BRAIN__"
export LABELS="__LABELS__"
export SCRATCH_USER=/p/scratch/cjinm16/schiffer1/
export OUTPUT_SPACING=16

# Set annotation directory (assume we are in the experiment folder)
export ATLAS_ANNOTATION_DIR=`pwd`/annotations/
export ATLAS_ANNOTATION_FILE="B${BRAIN}_{slice:04d}_annotations.hdf5"

# Make prediction and run evaluation
srun --cpus-per-task 4 atlas dl predict `pwd` --verbose --output-spacing ${OUTPUT_SPACING} --overwrite --save-argmax
srun --cpus-per-task 4 atlas dl evaluate `pwd` --verbose --embedded-pred-to-hdf5 --output-spacing ${OUTPUT_SPACING}
