
-- Create user microdraw, identified my microdraw
create user if not exists 'microdraw' identified by "microdraw";
-- Grant all priviliges to microdraw user
grant all privileges on *.* TO 'microdraw'@'localhost' identified by 'microdraw';
grant all privileges on *.* TO 'microdraw'@'%' identified by 'microdraw';
flush privileges;

-- Create user database
create database if not exists MyUsers;
use MyUsers;
create table if not exists Users( UserID int auto_increment primary key, Username varchar(65), Password varchar(32), EmailAddress varchar(255));
show tables;
describe Users;

-- Create interact database
create database if not exists Interact;
use Interact;
create table if not exists KeyValue( UniqueID int auto_increment primary key, myValue longtext, myKey text, myOrigin text, myTimestamp timestamp);
show tables;
describe KeyValue;